> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get all floor plans

GET https://api.propexo.com/v1/floor-plans/

Get all floor plans

Reference: https://docs.propexo.com/api-reference/yardi-rest/units/get-all-floor-plans

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query
- `x_id` (string, optional) — The external ID from the integration vendor
- `location_id` (string, optional) — The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `integration_id` (string, optional) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, optional) — The property management system of record
  - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (list of FloorPlan, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### FloorPlan

- `id` (string, required) — The Propexo unique identifier for the floor plan
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `x_location_id` (any, required) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for YARDI\_REST
- `name` (string, required) — The name associated with the floor plan | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `marketing_name` (any, required) — The marketing name of the floor planThis field will always be null for YARDI\_REST
- `code` (any, required) — The code associated with the floor planThis field will always be null for YARDI\_REST
- `description` (any, required) — Description of the floor planThis field will always be null for YARDI\_REST
- `bedrooms` (integer, required, nullable) — The number of bedrooms associated with the floor plan | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `bathrooms` (string, required, nullable) — The number of bathrooms associated with the floor plan | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `bathrooms_full` (integer, required, nullable) — The number of full bathrooms associated with the floor plan | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `bathrooms_half` (integer, required, nullable) — The number of half bathrooms associated with the floor plan | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `max_occupants` (any, required) — The maximum number of occupants for the floor planThis field will always be null for YARDI\_REST
- `rentable_square_feet` (integer, required, nullable) — The rentable square footage of the floor planYardi represents this as a range with a minimum and a maximum. This value is the minimum. If you'd like the maximum end of this range, we can provide custom data upon request. | Interface | Method | | -------------- | --------------------------- | | ILS Guest Card | /ItfProspect/AvailableUnits |
- `gross_square_feet` (integer, required, nullable) — The gross square footage of the floor planYardi represents this as a range with a minimum and a maximum. This value is the minimum. If you'd like the maximum end of this range, we can provide custom data upon request. | Interface | Method | | -------------- | --------------------------- | | ILS Guest Card | /ItfProspect/AvailableUnits |
- `rent_minimum_in_cents` (double, required, nullable) — The minimum rent of the floor planThis is based on "EffectiveRent" in Yardi. There is also a "MarketRent" set of values that we can add as a custom data upon request. | Interface | Method | | -------------- | --------------------------- | | ILS Guest Card | /ItfProspect/AvailableUnits |
- `rent_maximum_in_cents` (double, required, nullable) — The maximum rent of the floor planThis is based on "EffectiveRent" in Yardi. There is also a "MarketRent" set of values that we can add as a custom data upon request. | Interface | Method | | -------------- | --------------------------- | | ILS Guest Card | /ItfProspect/AvailableUnits |
- `image_urls` (any, required) — A list of image urls associated with the floor planThis field will always be null for YARDI\_REST
- `unit_count` (integer, required, nullable) — The number of units associated with the floor plan | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `deposit_amount_in_cents` (double, required, nullable) — The deposit amount in cents associated with the floor plan | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `deposit_amount_raw` (string, required, nullable) — The raw deposit amount associated with the floor plan | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `deposit_amount_min_in_cents` (any, required) — The minimum deposit amount in cents associated with the floor planThis field will always be null for YARDI\_REST
- `deposit_amount_max_in_cents` (any, required) — The maximum deposit amount in cents associated with the floor planThis field will always be null for YARDI\_REST
- `deposit_amount_min_raw` (any, required) — The raw minimum deposit amount associated with the floor planThis field will always be null for YARDI\_REST
- `deposit_amount_max_raw` (any, required) — The raw maximum deposit amount associated with the floor planThis field will always be null for YARDI\_REST
- `custom_data` (FloorPlanCustomData, required, nullable)
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `YARDI_REST`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`
- `property_id` (string, required) — The Propexo unique identifier for the property

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### FloorPlanCustomData

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": [
    {
      "id": "clwktsp9v000008l31iv218hn",
      "created_at": "2024-03-21T15:38:08.337Z",
      "updated_at": "2024-03-22T10:59:45.119Z",
      "last_seen": "2024-03-22T10:59:45.119Z",
      "x_id": "1bed1bath",
      "x_property_id": "greenbay",
      "x_location_id": null,
      "name": "1 Bed 1 Bath",
      "marketing_name": null,
      "code": null,
      "description": null,
      "bedrooms": 2,
      "bathrooms": "1.5",
      "bathrooms_full": 1,
      "bathrooms_half": 1,
      "max_occupants": null,
      "rentable_square_feet": 1000,
      "gross_square_feet": 1000,
      "rent_minimum_in_cents": 75000,
      "rent_maximum_in_cents": 75000,
      "image_urls": null,
      "unit_count": 100,
      "deposit_amount_in_cents": 10000,
      "deposit_amount_raw": "100.00",
      "deposit_amount_min_in_cents": null,
      "deposit_amount_max_in_cents": null,
      "deposit_amount_min_raw": null,
      "deposit_amount_max_raw": null,
      "custom_data": {},
      "integration_id": "clwh5u07w000508me66sfh3um",
      "integration_vendor": "YARDI_REST",
      "property_id": "clwi5xiix000008l6ctdgafyh"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/floor-plans/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/floor-plans/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/floor-plans/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/floor-plans/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/floor-plans/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/floor-plans/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/floor-plans/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/floor-plans/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```